Subject: Re: [PATCH v14 04/22] arm64: mm: Add p?d_leaf() definitions

From: Catalin Marinas <[email-masked]>
Date: Wed, 30 Oct 2019 15:31:30 +0000

On Mon, Oct 28, 2019 at 01:58:52PM +0000, Steven Price wrote:
> walk_page_range() is going to be allowed to walk page tables other than
> those of user space. For this it needs to know when it has reached a
> 'leaf' entry in the page tables. This information will be provided by the
> p?d_leaf() functions/macros.
> 
> For arm64, we already have p?d_sect() macros which we can reuse for
> p?d_leaf().
> 
> pud_sect() is defined as a dummy function when CONFIG_PGTABLE_LEVELS < 3
> or CONFIG_ARM64_64K_PAGES is defined. However when the kernel is
> configured this way then architecturally it isn't allowed to have a
> large page at this level, and any code using these page walking macros
> is implicitly relying on the page size/number of levels being the same as
> the kernel. So it is safe to reuse this for p?d_leaf() as it is an
> architectural restriction.
> 
> CC: Catalin Marinas <[email-masked]>
> CC: Will Deacon <[email-masked]>
> Signed-off-by: Steven Price <[email-masked]>

I can see akpm picked these patches already. FWIW:

Acked-by: Catalin Marinas <[email-masked]>

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel